1

I need to use WiredTiger command line tool for MongoDB data manipulation. I got sources from http://source.wiredtiger.com/ and ran ./configure --enable-snappy. Got the following error

configure: error: --enable-snappy requires snappy.h

I cloned https://github.com/google/snappy.git into subdirectory and set CPATH accordingly

export CPATH=/home/mongod/termit/wiredtiger-2.9.2/snappy

Now it finds header files, but i'm getting this error

configure: error: --enable-snappy requires snappy library

Any ideas? Should I compile snappy prior to wiredtiger?

1
  • Can you just yum install snappy and snappy-devel May 29 '17 at 13:13
0

You can try to install the snappy lib via

yum install snappy snappy-devel

If this doesn't work, you can get the sources via rpm.

On CentOS 7:

rpm -ivh http://vault.centos.org/centos/7/os/Source/SPackages/snappy-1.1.0-3.el7.src.rpm`

On CentOS 6:

rpm -ivh ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/snappy-1.1.0-1.el6.src.rpm

or

rpm -ivh http://dl.fedoraproject.org/pub/epel/6/SRPMS/snappy-1.0.5-1.el6.src.rpm

then compile them. You should do this before attempting to compile WiredTiger.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.